Bug 50673 - Error when stopping Tomcat using services.msc
Error when stopping Tomcat using services.msc
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
6.0.30
PC All
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2011-01-27 10:09 UTC by apache
Modified: 2011-02-02 10:22 UTC (History)
0 users



Attachments
2011-02-02_tc6_50673.patch (10.44 KB, patch)
2011-02-01 22:58 UTC, Konstantin Kolinko
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description apache 2011-01-27 10:09:50 UTC
When stopping Tomcat using services.msc, an error message is displayed: "Windows could not stop the Apache Tomcat 7 service on Local Computer. Error 109: The pipe has been ended."

Despite this error, Tomcat appears to stop normally.

No such problem was encountered in 6.0.29.
Comment 1 Konstantin Kolinko 2011-01-27 11:15:10 UTC
Confirming. (Win XP SP3, Tomcat 7.0.6)

The following command
"net start Tomcat7" executes successfully

"net stop Tomcat7" apparently fails, printing localized version of error message like the one reported by OP.  Repeating "net stop Tomcat7" prints message that the service has not been started.

1. This an issue with Commons Daemon service wrapper (procrun). The issue should be reported there. Tomcat 7.0.6 and 6.0.30 use Commons Daemon 1.0.5.
https://issues.apache.org/jira/browse/DAEMON

2. Apparently it is just cosmetics. It does not break operation. Though some external scripts might be affected.
Comment 2 Konstantin Kolinko 2011-01-27 12:48:44 UTC
I created https://issues.apache.org/jira/browse/DAEMON-195
I am closing this issue as INVALID - it is not ours.
Comment 3 Konstantin Kolinko 2011-02-01 22:57:09 UTC
I changed Catalina shutdown sequence to do not call System.exit(). - in trunk. Will be in 7.0.7.
Comment 4 Konstantin Kolinko 2011-02-01 22:58:32 UTC
Created attachment 26591 [details]
2011-02-02_tc6_50673.patch

Patch for TC 6.0.x
Comment 5 Konstantin Kolinko 2011-02-02 10:22:46 UTC
Fixed in 6.0 as well. Will be in 6.0.32.